"""New UUID field

Revision ID: 3be9942c0ebe
Revises: 37f5d0142d42
Create Date: 2025-05-07 16:56:51.814192

"""

from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision: str = "3be9942c0ebe"
down_revision: Union[str, None] = "37f5d0142d42"
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column("resource_base", sa.Column("uuid", sa.Uuid(), nullable=True))
    op.alter_column(
        "resource_base",
        "created_at",
        existing_type=postgresql.TIMESTAMP(),
        nullable=False,
    )
    op.alter_column(
        "resource_base",
        "updated_at",
        existing_type=postgresql.TIMESTAMP(),
        nullable=False,
    )
    op.create_index(
        op.f("ix_resource_base_uuid"), "resource_base", ["uuid"], unique=True
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f("ix_resource_base_uuid"), table_name="resource_base")
    op.alter_column(
        "resource_base",
        "updated_at",
        existing_type=postgresql.TIMESTAMP(),
        nullable=True,
    )
    op.alter_column(
        "resource_base",
        "created_at",
        existing_type=postgresql.TIMESTAMP(),
        nullable=True,
    )
    op.drop_column("resource_base", "uuid")
    # ### end Alembic commands ###
